Subject: Re: bug#43632: Raw bytes printed as latin-1 in echo area and *Messages*

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 27 Sep 2020 13:36:41 +0200

Eli Zaretskii <[email-masked]> writes:

>> I have, so I guess the only confusing thing is that it's still "\377" in
>> the scratch buffer?
>
> In the scratch buffer you have a string of 4 ASCII characters, not of
> 1 raw byte, right?

Ah, yes.

>> >> (string-to-multibyte "\377")
>> >> => "\377"
>> >> 
>> >> And the echo area says "\377", as expected.
>> >
>> > That's unrelated: Emacs behaved the same before my changes.
>> 
>> Yup.  But don't we call these "raw bytes", too?  I was just idly wondering
>> whether the display of these should also be affected by
>> `display-raw-bytes-as-hex'...
>
> No, because what you have in *scratch* is again a string of 4 ASCII
> characters.

Here I was talking about what's displayed in the echo area.  :-)

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no